generatorName: php
templateDir: sp-api/resources/php-amazon-selling-partner-api
additionalProperties:
  invokerPackage: AmazonPHP\SellingPartner
  srcBasePath: src/AmazonPHP/SellingPartner
  modelPackage: Model\Messaging
  packageName: Messaging
files:
  api.mustache:
    templateType: API
    destinationFilename: /MessagingSDK.php
  api_interface.mustache:
    templateType: API
    destinationFilename: /MessagingSDKInterface.php